/*
 * @(#)locale_str.h	1.12 98/07/10
 *
 * Copyright 1995-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

/*
 * Solaris language string to ISO639 string mapping table.
 */
static char *language_names[] = {
    "C", "en",
    "POSIX", "en",
    "ar", "ar",
    "be", "be",
    "bg", "bg",
    "ca", "ca",
    "cz", "cs",
    "da", "da",
    "de", "de",
    "el", "el",
    "en", "en",
    "es", "es",
    "et", "et",
    "fi", "fi",
    "su", "fi",
    "fr", "fr",
    "he", "iw",
    "hr", "hr",
    "hu", "hu",
    "is", "is",
    "it", "it",
    "ja", "ja",
    "japanese", "ja",
    "ko", "ko",
    "lt", "lt",
    "lv", "lv",
    "mk", "mk",
    "nl", "nl",
    "no", "no",
    "pl", "pl",
    "pt", "pt",
    "ro", "ro",
    "ru", "ru",
    "sh", "sh",
    "sk", "sk",
    "sl", "sl",
    "sq", "sq",
    "sr", "sr",
    "sv", "sv",
    "th", "th",
    "tr", "tr",
    "uk", "uk",
    "zh", "zh",
    "",
};

/*
 * Solaris country string to ISO3166 string mapping table.
 * Currently only different string is UK/GB.
 */
static char *region_names[] = {
    "AT", "AT",
    "AU", "AU",
    "AR", "AR",
    "BE", "BE",
    "BR", "BR",
    "BO", "BO",
    "CA", "CA",
    "CH", "CH",
    "CL", "CL",
    "CN", "CN",
    "CO", "CO",
    "CR", "CR",
    "EC", "EC",
    "GT", "GT",
    "IE", "IE",
    "IL", "IL",
    "JP", "JP",
    "KR", "KR",
    "MX", "MX",
    "NI", "NI",
    "NZ", "NZ",
    "PA", "PA",
    "PE", "PE",
    "PY", "PY",
    "SV", "SV",
    "TH", "TH",
    "UK", "GB",
    "US", "US",
    "UY", "UY",
    "VE", "VE",
    "TW", "TW",
    "",
};

/*
 * Solaris locale string to Encoding converter name mapping table.
 * default file.encoding is "8859_1".
 */
static char *encoding_names[] = {
    "8859-15", "ISO8859_15_FDIS",
    "iso8859-15", "ISO8859_15_FDIS",
    "ISO8859-15", "ISO8859_15_FDIS",
    "ar", "ISO8859_6",
    "be", "ISO8859_5",
    "bg", "ISO8859_5",
    "cz", "ISO8859_2",
    "el", "ISO8859_7",
    "iw", "ISO8859_8",
    "hu", "ISO8859_2",
    "ja", "EUC_JP",
    "japanese", "EUC_JP",
    "PCK", "SJIS",
    "ko", "EUC_KR",
    "lt", "ISO8859_4",
    "lv", "ISO8859_4",
    "mk", "ISO8859_5",
    "pl", "ISO8859_2",
    "ro", "ISO8859_2",
    "ru", "ISO8859_5",
    "sh", "ISO8859_2",
    "sk", "ISO8859_2",
    "sl", "ISO8859_2",
    "sq", "ISO8859_2",
    "sr", "ISO8859_5",
    "th", "TIS620",
    "tr", "ISO8859_9",
    "uk", "ISO8859_5",
    "zh", "EUC_CN",
    "zh_TW", "EUC_TW",
    "BIG5", "Big5",
    "GBK", "GBK",
    "KOI8", "Koi8",
    "UTF-8", "UTF8",
    "",
};

/*
 * Solaris variant string to Java variant name mapping table.
 */
static char *variant_names[] = {
    "euro", "EURO",
    "",
};
